<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Signup Form</title>
  <script src="https://code.jquery.com/jquery-git.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
  <style>
    .box {
      width: 400px;
      height: 35px;
      border: 1px grey;
      border-top: 1px grey solid;
      border-bottom: 1px grey solid;
      padding: 5px;
      background-color: #47484b;
      color: yellow;
    }

    .modal {
      border: 1px grey solid;
      background-color: grey;
      color: blue;
      display: none;
    }

    .modalcontent {
      border: 1px grey solid;
      background-color: grey;
      color: blue;
    }

    .open {
      display: block;
    }

    form {
      margin: auto;
    }

    .container {
      width: 400px;
      margin: auto;
      border: 3px solid #16171a;
      padding: 10px;
      background-color: #47484b;
      text-align: center;
    }

    .s {
      background-color: blanchedalmond;
      color: rgb(187, 9, 69);
      width: 100px;
      height: 40px;
      font-weight: bold;
    }

    label {
      color: white;
      font-weight: bold;
      padding: 5px;
    }

    .gen {
      width: 400px;
      height: 35px;
      border-top: 1px grey solid;
      border-bottom: 1px grey solid;
      padding: 5px;
      background-color: #47484b;
      color: yellow;
    }

    select {
      width: 400px;
      height: 35px;
      border-top: 1px grey solid;
      border-bottom: 1px grey solid;
      padding: 5px;
      background-color: #47484b;
      color: yellow;
    }

    option {
      color: rgb(209, 19, 114);
      background-color: lightgoldenrodyellow;
    }
    .allowed-submit{opacity: .5;cursor: not-allowed;}
  </style>
</head>

<body>
  <div class="container">
    <h1 style="color: red; text-align: center">Signup Form</h1>
    <form id="form1" action="/users/create" method="POST">
      <label for="fname">FirstName</label>
      <input class="box" type="text" name="fname" id="fname" required />
      <span id="fnameerr" style="color: red"></span><br />

      <label for="lname"> LastName</label>
      <input class="box" type="text" name="lname" id="lname" required />
      <span id="lnameerr" style="color: red"></span><br />

      <label for="email">Email</label>
      <input class="box" type="email" name="email" id="email" required/>
      <span id="emerr" style="color: red"></span><br />

      <label for="phone">PhoneNumber</label>
      <input class="box" type="text" name="phone" id="phone" required />
      <span id="pherr" style="color: red"></span><br />

      <label>Gender:</label>
      <div class="gen">
        <input type="radio" class="gender" name="gender" id="male" value="male" />Male
        <input type="radio" class="gender" name="gender" id="female" value="female" />Female
      </div>
      <span id="geerr" style="color: red"></span><br />

      <label> State</label><br />
      <div class="gen">
        <select name="state" id="state">
          <script>
            var options;
            var state = ["TamilNadu", "Kerala", "Goa", "Karnataka", "Jharkhand", "Nagaland"];
            for (var i = 0; i < state.length; i++) {
              options += '<option value="' + state[i] + '">' + state[i] + '</option>';
            }
            $("#state").html(options);

          </script>

        </select>
      </div>
      <span id="seerr" style="color: red"></span><br />
      <div class="gen">
        <input type="checkbox" name="subscribe" value="Subscribe" id="s" /><label>Subscribe</label>
      </div>
      <span id="serr" style="color: red"></span><br />

      <label>Password</label>
      <input class="box" type="password" name="pwd" id="pwd" required/>
      <span id="perr" style="color: red"></span><br />

      <label>Confirm Password:</label>
      <input class="box" type="password" name="cpp" id="cpp" required />
      <span id="cpperr" style="color: red"></span><br />

      <input type="checkbox" name="term" id="term" />

      <span id="terms" style="color: white; font-weight: bold">Agree Terms and conditions</span><br /><br />
      <span id="aterr" style="color: red"></span>
      <div class="modal">
        <div class="modalcontent">
          <p id="mod">Please Ensure about terms and conditions</p>
          <p id="mod">Check all details and agree</p>
          <button id="close">close</button>
        </div>
      </div>
      <input  type="submit" name="submit" value="Sign Up" id="submit"  class="s" />
    </form>
  </div>
</body>
<script>
  $("#terms").click(function () {
    $(".modal").show();
  });
  $("#close").click(function () {
    $(".modal").hide();
  });
   $("#submit").click(function () {
        var flag = false;
        var fname = $("#fname").val();
        var lname = $("#lname").val();
        var email = $("#email").val();
        var phn = $("#phone").val();
        var gender = $('input[name="gender"]:checked').val();
        //alert(gender);
        var state = $("#state option:selected").val();
        var p = $("#pwd").val();
        var cpwd = $("#cpp").val();

  validatefname();
  validatelname();
  validateemail();
  validateph();
  validategender();
  validatestate();
  validatesubscribe();
  validatepassword();
  validatecpassword();
  validateterms();


  function validatefname() {
    var fname = $("#fname").val();
    var regex = /^[A-Za-z]+$/;
    var isValid = regex.test(fname);
    //alert(fname);
    if (fname.length == " ") {
      $("#fnameerr").html("Name Empty");
       flag = true;

    } else if (!isValid) {
      $("#fnameerr").html("Name only contain alphabets ");
         flag = true;

    }
  }
  function validatelname() {
    var lname = $("#lname").val();
    var regex = /^[A-Za-z]+$/;
    var isValid = regex.test(lname);

    if (lname.length == " ") {
      $("#lnameerr").html("LastName Empty");
         flag = true;

    } else if (!isValid) {
      $("#lnameerr").html("LastName only contain alphabets ");
         flag = true;

    }
  }
  function validateemail() {
    var lname = $("#lname").val();
    var email = $("#email").val();
    var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
    if (email.length == " ") {
      $("#emerr").html("Enter email id");
        flag = true;

    } else if (!emailReg.test(email)) {
      $("#emerr").html("Enter valid email");
        flag = true;

    }
  }
  function validateph() {
    var phn = $("#phone").val();
    var phregx = /^[0-9-+]+$/;
    if (phn.length == " ") {
      $("#pherr").html("Enter phonenumber");
      flag = true;

    } else if (!phregx.test(phn)) {
      $("#pherr").html("Only contain numbers");
       flag = true;

    } else if (phn.length != 10) {
      $("#pherr").html("Phone number must contain 10 numbers");
         flag = true;

    }
  }
  function validategender() {
    var gender = $('input[name="gender"]:checked').val();
    var isValid = $("input[name=gender]").is(":checked");
    if (!isValid) {
      $("#geerr").html("Select a gender");
       flag = true;

    }
  }
  function validatestate() {
    var state = $("#state option:selected").val();
    if (state.length == " ") {

      $("#seerr").html("Select one state");
         flag = true;
    }
  }
  function validatesubscribe() {
    var s = $("#s").prop("checked");
    if (!s) {
      $("#serr").html("Tick Subscribe");
        flag = true;

    }
  }
  function validatepassword() {
    var p = $("#pwd").val();
    if (p.length == " ") {
      $("#perr").html("Enter password");
        flag = true;

    } else if (p.length < 10) {
      $("#perr").html("Password must contain 10 characters");
       flag = true;

    }
  }
  function validatecpassword() {
    var cpwd = $("#cpp").val();
    if (cpwd.length == " ") {

      $("#cpperr").html("Enter password");
         flag = true;
    } else if (p != cpwd) {

      //alert(p+","+cpwd);
      $("#cpperr").html("Password not matching");
         flag = true;
    }
  }
  function validateterms() {
    var s = $("#term").prop("checked");
    if (!s) {

      $("#aterr").html("Tick box to agree");
      flag = true;
    }
  }

      if (flag == false) {
    
     } else {

        alert("Validation gone false.Please check it.");
      }
    }); 
</script>

</html>